MPS 3.2.1 is ready

Only shortly after MPS 3.2 has been released, we can’t resist the temptation to share a fresh MPS 3.2.1 update with you. It contains more than four weeks-worth of improvements that could not make it into 3.2.

The MPS plugin is now compatible with both IDEA 14.0 and 14.1. Additionally, we’ve restricted the implicit visibility of the BaseLanguage concepts in language definition languages, since it was causing more harm than good. This may result in a few new “missing dependency on BaseLanguage” errors reported from your existing languages, if you relied on this implicit dependency. You’ll need to add these manually and then all will work just fine again.

You’ll surely appreciate the corrections to several usability issues in the migration assistant, in BaseLanguage as well as in the IDEA plugin. Following your feedback we also have included numerous fixes to refactorings, migrations, debugger and to the editor layout management.

Check out all the 51 YouTrack issues in the release notes and then 3 – 2 – 1 – go get MPS 3.2.1 and enjoy.

Develop with pleasure!
-JetBrains MPS Team

This entry was posted in Announcement and tagged , , , . Bookmark the permalink.

Leave a Reply

Your email address will not be published. Required fields are marked *